Package com.sas.metadata.remote

# Interface ContentType

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface ContentType extends PrimaryType
Describes the type of content contained in the associated object. This will allow application that deliver content to determine if content may be displayed and/or the best way to display the content.

Attributes of ContentType are:

- `MajorVersion`
- `MinorVersion`
- `MimeType`

Associations of ContentType are:

- `DeviceDescriptors`
- `ContentItems`
- `TypeDefinitions`

## Usage

To create an instance of this ContentType, use the `factory` create methods.
Example: create a ContentType with name "ContentType_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ContentType myObject = (ContentType) factory.createComplexMetadataObject(objectStore, "ContentType_Object", MetadataObjects.CONTENTTYPE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_CONTENTITEMS_NAME`
  Constant used for the name of the ContentItems association.
  `static final String`
  `ASSOCIATION_DEVICEDESCRIPTORS_NAME`
  Constant used for the name of the DeviceDescriptors association.
  `static final String`
  `ASSOCIATION_TYPEDEFINITIONS_NAME`
  Constant used for the name of the TypeDefinitions association.
  `static final String`
  `ATTRIBUTE_MAJORVERSION_NAME`
  Constant used for the name of the MajorVersion attribute.
  `static final String`
  `ATTRIBUTE_MIMETYPE_NAME`
  Constant used for the name of the MimeType attribute.
  `static final String`
  `ATTRIBUTE_MINORVERSION_NAME`
  Constant used for the name of the MinorVersion attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getContentItems()`
  Gets the Association list of `ContentItems`
  `AssociationList`
  `getContentItems(boolean fGoToServer)`
  Gets the Associationlist of `ContentItems`
  `AssociationList`
  `getDeviceDescriptors()`
  Gets the AssociationList of `DeviceDescriptors`
  `AssociationList`
  `getDeviceDescriptors(boolean fGoToServer)`
  Gets the Associationlist of `DeviceDescriptors`
  `double`
  `getMajorVersion()`
  Gets the `double` value of `MajorVersion`
  `int`
  `getMajorVersionState()`
  Gets the Metadata State of `MajorVersion`
  `String`
  `getMimeType()`
  Gets the `String` value of `MimeType`
  `int`
  `getMimeTypeMaxLength()`
  Gets the maximum length of `MimeType`
  `int`
  `getMimeTypeState()`
  Gets the Metadata State of `MimeType`
  `double`
  `getMinorVersion()`
  Gets the `double` value of `MinorVersion`
  `int`
  `getMinorVersionState()`
  Gets the Metadata State of `MinorVersion`
  `AssociationList`
  `getTypeDefinitions()`
  Gets the Association list of `TypeDefinitions`
  `AssociationList`
  `getTypeDefinitions(boolean fGoToServer)`
  Gets the Associationlist of `TypeDefinitions`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `DeviceDescriptors`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setContentItems(AssociationList list)`
  Sets the `ContentItems` list to be `list`.
  `void`
  `setContentItems(AssociationList inObjects, int state)`
  Sets the entire ContentItems list to match the passed in AssociationList, sets the state of the ContentItems
  `void`
  `setDeviceDescriptors(AssociationList list)`
  Sets the `DeviceDescriptors` list to be `list`.
  `void`
  `setDeviceDescriptors(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setMajorVersion(double inMajorVersion)`
  Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMajorVersion(double inMajorVersion, int state)`
  Sets the `MajorVersion` Metadata State.
  `void`
  `setMajorVersion(String inMajorVersion)`
  Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL
  `void`
  `setMajorVersion(String inMajorVersion, int state)`
  Sets the `MajorVersion` value and Metadata State.
  `void`
  `setMajorVersionState(int state)`
  Sets the Metadata State of `MajorVersion`.
  `void`
  `setMimeType(String inMimeType)`
  Sets the `MimeType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMimeType(String inMimeType, int state)`
  Sets the `MimeType` Metadata State.
  `void`
  `setMimeTypeState(int state)`
  Sets the Metadata State of `MimeType`.
  `void`
  `setMinorVersion(double inMinorVersion)`
  Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMinorVersion(double inMinorVersion, int state)`
  Sets the `MinorVersion` Metadata State.
  `void`
  `setMinorVersion(String inMinorVersion)`
  Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL
  `void`
  `setMinorVersion(String inMinorVersion, int state)`
  Sets the `MinorVersion` value and Metadata State.
  `void`
  `setMinorVersionState(int state)`
  Sets the Metadata State of `MinorVersion`.
  `void`
  `setTypeDefinitions(AssociationList list)`
  Sets the `TypeDefinitions` list to be `list`.
  `void`
  `setTypeDefinitions(AssociationList inObjects, int state)`
  Sets the entire TypeDefinitions list to match the passed in AssociationList, sets the state of the TypeDefinitions

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_MAJORVERSION_NAME

    static final String ATTRIBUTE_MAJORVERSION_NAME
    Constant used for the name of the MajorVersion attribute.

    MajorVersion: Major version of the MIME standard used to describe this content.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_MINORVERSION_NAME

    static final String ATTRIBUTE_MINORVERSION_NAME
    Constant used for the name of the MinorVersion attribute.

    MinorVersion: Minor version of the MIME standard used to describe this content.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_MIMETYPE_NAME

    static final String ATTRIBUTE_MIMETYPE_NAME
    Constant used for the name of the MimeType attribute.

    MimeType: Description of the type and format of the content as defined by the MIME internet standard.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_DEVICEDESCRIPTORS_NAME

    static final String ASSOCIATION_DEVICEDESCRIPTORS_NAME
    Constant used for the name of the DeviceDescriptors association.

    DeviceDescriptors: The description of devices that can display this content type.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_CONTENTITEMS_NAME

    static final String ASSOCIATION_CONTENTITEMS_NAME
    Constant used for the name of the ContentItems association.

    ContentItems: The content that conforms to this content type.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TYPEDEFINITIONS_NAME

    static final String ASSOCIATION_TYPEDEFINITIONS_NAME
    Constant used for the name of the TypeDefinitions association.

    TypeDefinitions: The type definition that makes use of this content type.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `DeviceDescriptors`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMajorVersion

    double getMajorVersion() throws RemoteException
    Gets the `double` value of `MajorVersion`
    Returns:
      The `MajorVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMajorVersionState

    int getMajorVersionState() throws RemoteException
    Gets the Metadata State of `MajorVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMinorVersion

    double getMinorVersion() throws RemoteException
    Gets the `double` value of `MinorVersion`
    Returns:
      The `MinorVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMinorVersionState

    int getMinorVersionState() throws RemoteException
    Gets the Metadata State of `MinorVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMimeType

    String getMimeType() throws RemoteException
    Gets the `String` value of `MimeType`
    Returns:
      The `MimeType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMimeTypeState

    int getMimeTypeState() throws RemoteException
    Gets the Metadata State of `MimeType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMimeTypeMaxLength

    int getMimeTypeMaxLength() throws RemoteException
    Gets the maximum length of `MimeType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDeviceDescriptors

    AssociationList getDeviceDescriptors() throws RemoteException, MdException
    Gets the AssociationList of `DeviceDescriptors`
    Returns:
      Returns the AssociationList of `DeviceDescriptors` which can be of type:
      DeviceType
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getContentItems

    AssociationList getContentItems() throws RemoteException, MdException
    Gets the Association list of `ContentItems`
    Returns:
      The AssociationList of `ContentItems` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTypeDefinitions

    AssociationList getTypeDefinitions() throws RemoteException, MdException
    Gets the Association list of `TypeDefinitions`
    Returns:
      The AssociationList of `TypeDefinitions` which can be of type:
      TypeDefinition
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getDeviceDescriptors

    AssociationList getDeviceDescriptors(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `DeviceDescriptors`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `DeviceDescriptors` which can be of type:
      DeviceType
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getContentItems

    AssociationList getContentItems(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ContentItems`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ContentItems` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTypeDefinitions

    AssociationList getTypeDefinitions(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TypeDefinitions`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TypeDefinitions` which can be of type:
      TypeDefinition
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setMajorVersion

    void setMajorVersion(double inMajorVersion) throws RemoteException
    Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMajorVersion` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(double inMajorVersion, int state) throws RemoteException
    Sets the `MajorVersion` Metadata State.
    Parameters:
      `inMajorVersion` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(String inMajorVersion) throws RemoteException
    Sets the `MajorVersion` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inMajorVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersion

    void setMajorVersion(String inMajorVersion, int state) throws RemoteException
    Sets the `MajorVersion` value and Metadata State.
    Parameters:
      `inMajorVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMajorVersionState

    void setMajorVersionState(int state) throws RemoteException
    Sets the Metadata State of `MajorVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(double inMinorVersion) throws RemoteException
    Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMinorVersion` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(double inMinorVersion, int state) throws RemoteException
    Sets the `MinorVersion` Metadata State.
    Parameters:
      `inMinorVersion` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(String inMinorVersion) throws RemoteException
    Sets the `MinorVersion` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inMinorVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersion

    void setMinorVersion(String inMinorVersion, int state) throws RemoteException
    Sets the `MinorVersion` value and Metadata State.
    Parameters:
      `inMinorVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMinorVersionState

    void setMinorVersionState(int state) throws RemoteException
    Sets the Metadata State of `MinorVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMimeType

    void setMimeType(String inMimeType) throws RemoteException
    Sets the `MimeType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMimeType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMimeType

    void setMimeType(String inMimeType, int state) throws RemoteException
    Sets the `MimeType` Metadata State.
    Parameters:
      `inMimeType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMimeTypeState

    void setMimeTypeState(int state) throws RemoteException
    Sets the Metadata State of `MimeType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeviceDescriptors

    void setDeviceDescriptors(AssociationList list) throws RemoteException
    Sets the `DeviceDescriptors` list to be `list`. Objects of which can be of type:
    DeviceType
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeviceDescriptors

    void setDeviceDescriptors(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setContentItems

    void setContentItems(AssociationList list) throws RemoteException
    Sets the `ContentItems` list to be `list`. Objects of which can be of type:
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setContentItems

    void setContentItems(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ContentItems list to match the passed in AssociationList, sets the state of the ContentItems
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTypeDefinitions

    void setTypeDefinitions(AssociationList list) throws RemoteException
    Sets the `TypeDefinitions` list to be `list`. Objects of which can be of type:
    TypeDefinition
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTypeDefinitions

    void setTypeDefinitions(AssociationList inObjects, int state) throws RemoteException
    Sets the entire TypeDefinitions list to match the passed in AssociationList, sets the state of the TypeDefinitions
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.